Create OAuth 2.0 access token

This endpoint is an OAuth 2.0 token endpoint and can be used by a client to obtain an access token.

Use programmatic access user credentials as OAuth 2.0 client credentials. Use the access key as client identifier (client_id). Use the secret as client password (client_secret).

This endpoint supports authentication using HTTP Basic auth.

Supported grant types: client_credentials for programmatic access users.

authorization_code (with PKCE) and refresh_token for MCP CIMD clients.

Form Data

OAuth 2.0 request parameters.

string
enum
required
Allowed:
string
string
string

Authorization code returned by the authorization endpoint. Required for grant_type=authorization_code.

string

PKCE code verifier matching the code_challenge sent at the authorization endpoint. Required for grant_type=authorization_code.

string

Refresh token previously issued by this endpoint. Required for grant_type=refresh_token.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json